Subject: bug#78218: 30.1; mouse-highlight variable does not work on macOS

From: Gerd Möllmann <[email-masked]>
Date: Sat, 03 May 2025 14:44:08 +0200

Eli Zaretskii <[email-masked]> writes:

> AFAICT, it wasn't implemented (except for MS-DOS).  I've now fixed
> that for the MS-Windows console.  I don't have access to a Unix
> terminal with a mouse, so I cannot work on fixing this, but AFAIU the
> fix should be in handle_one_term_event.

That function is part of the GMP mouse handling, AFAICS.

tty_read_avail_input, where it is called, is also too early I think,
Mouse input on xterm at least produces escape sequences which we can't
discern from non-mouse input at that point.

We'd need a place either in or after read_key_sequence where mouse
escape sequences have been translated via input_decode_map. Maybe in
command_loop_1, not sure.

Also something one should maybe take into account is if/how multi-tty
comes into play here?

I'm afraid that's a bit too complicated for me.